class OOMensch {
	// Attribute
	float gewicht; // in kg

	boolean maennlich;

	int groesse; // in cm

	// Konstruktor
	OOMensch(float gew, boolean mann, int groe) {
		this.gewicht = gew;
		this.maennlich = mann;
		this.groesse = groe;
	}

	// set/get-Methoden
	float getGewicht() {
		return this.gewicht;
	}

	float getGroesse() {
		return this.groesse;
	}

	boolean istMaennlich() {
		return this.maennlich;
	}

	float berechneNormalgewicht() {
		return this.groesse - 100;
	}

	float berechneIdealgewicht() {
		float normalgewicht = this.groesse - 100;
		if (this.maennlich)
			return normalgewicht / 100.0f * 90.0f;
		return normalgewicht / 100.0f * 85.0f;
	}

	boolean hatUebergewicht() {
		return this.gewicht > this.berechneNormalgewicht();
	}

	boolean hatUntergewicht() {
		return this.gewicht < this.berechneIdealgewicht();
	}

	boolean hatOrdentlichesGewicht() {
		return this.gewicht <= this.berechneNormalgewicht()
				&& this.gewicht >= this.berechneIdealgewicht();
	}
}

class OOGewicht {
	public static void main(String[] args) {
		do {
			OOMensch person = new OOMensch(IO
					.readFloat("Gewicht (kg) eingeben: "), IO
					.readChar("Maennlich (m/w)") == 'm', IO
					.readInt("Groesse (cm) eingeben: "));

			if (person.hatUebergewicht()) {
				IO.println("Alter Fettsack!");
			} else if (person.hatUntergewicht()) {
				IO.println("Na, du Hungerhaken!");
			} else {
				IO.println("Idealer Gewichtsbereich!");
			}
		} while (IO.readChar("Weitere Ueberpruefung (j/n)?") == 'j');
	}
}
